5 Licence information

Ricardo Usbeck edited this page Jul 7, 2014 · 6 revisions

REX is available under MIT licence.

For your convenience, we also provide an overview of the licences of all REX dependencies.

		<!-- Reading json -->
		<dependency>
			<groupId>net.sf.json-lib</groupId>
			<artifactId>json-lib</artifactId>
			<version>2.4</version>
			<classifier>jdk15</classifier>
		</dependency>
                      MIT Licence
		<dependency>
			<groupId>com.google.code.gson</groupId>
			<artifactId>gson</artifactId>
			<version>1.7.1</version>
		</dependency>
                        Apache License, Version 2.0
		<dependency>
			<groupId>jdom</groupId>
			<artifactId>jdom</artifactId>
			<version>1.1</version>
		</dependency>
                        Apache-style open source license
	       <dependency>
			<groupId>org.jooq</groupId>
			<artifactId>joox</artifactId>
			<version>1.1.0</version>
		</dependency>
                          Apache License, Version 2.0
		<!-- jsoup HTML parser library @ http://jsoup.org/ -->
		<dependency>
			<groupId>org.jsoup</groupId>
			<artifactId>jsoup</artifactId>
			<version>1.7.2</version>
		</dependency>
                            MIT
		<!-- Sesame -->
		<dependency>
			<groupId>org.openrdf.sesame</groupId>
			<artifactId>sesame-runtime</artifactId>
			<version>2.7.0-beta1</version>
		</dependency>
                          Aduna licences Sesame 2
		<dependency>
			<groupId>org.openrdf.sesame</groupId>
			<artifactId>sesame-rio-turtle</artifactId>
			<version>2.7.0-beta1</version>
		</dependency>
                      Aduna licences Sesame 2


		<!-- Junit -->
		<dependency>
			<groupId>junit</groupId>
			<artifactId>junit</artifactId>
			<version>4.8.1</version>
			<scope>test</scope>
		</dependency>
                          Common Public License - v 1.0
		<!-- Jena -->
		<dependency>
			<groupId>org.apache.jena</groupId>
			<artifactId>apache-jena-libs</artifactId>
			<type>pom</type>
			<version>2.10.1</version>
		</dependency>
                           Apache License, Version 2.0.
		<dependency>
			<groupId>com.googlecode.json-simple</groupId>
			<artifactId>json-simple</artifactId>
			<version>1.1</version>
		</dependency>
                      Apache License, Version 2.0.
		<!-- Crawler <dependency> <groupId>edu.uci.ics</groupId> <artifactId>crawler4j</artifactId>
			<version>3.6-SNAPSHOT</version> <type>jar</type> <scope>system</scope> <systemPath>${project.basedir}/lib/crawler4j-3.6-SNAPSHOT.jar</systemPath>
			</dependency> -->
		<dependency>
			<groupId>edu.uci.ics</groupId>
			<artifactId>crawler4j</artifactId>
			<version>3.4</version>
		</dependency>
                              Apache License 2.0

<!-- DL Learner -->
		<dependency>
			<groupId>org.dllearner</groupId>
			<artifactId>components-core</artifactId>
			<version>1.0-SNAPSHOT</version>
			<exclusions>
				<exclusion>
					<groupId>org.slf4j</groupId>
					<artifactId>slf4j-api</artifactId>
				</exclusion>
				<exclusion>
					<groupId>org.slf4j</groupId>
					<artifactId>slf4j-log4j12</artifactId>
				</exclusion>
				<exclusion>
					<artifactId>owlapi</artifactId>
					<groupId>net.sourceforge.owlapi</groupId>
				</exclusion>
				<exclusion>
					<artifactId>owlapi</artifactId>
					<groupId>net.sourceforge.owlapi</groupId>
				</exclusion>
				<exclusion>
					<groupId>com.hp.hpl.jena</groupId>
					<artifactId>jena</artifactId>
				</exclusion>
			</exclusions>
		</dependency>

                        GNU General Public Licenseversion 2.0 (GPLv2)
		<dependency>
			<groupId>org.aksw.jena-sparql-api</groupId>
			<artifactId>jena-sparql-api-core</artifactId>
			<version>2.10.0-18-SNAPSHOT</version>
		</dependency>
                      Apache License Version 2.0
		

<!-- Writing Lucene Index -->
		<dependency>
			<groupId>org.apache.lucene</groupId>
			<artifactId>lucene-core</artifactId>
			<version>4.4.0</version>
		</dependency>
                          Apache License
		<dependency>
			<groupId>org.apache.lucene</groupId>
			<artifactId>lucene-analyzers-common</artifactId>
			<version>4.4.0</version>
		</dependency>
                         Apache License
		<dependency>
			<groupId>org.apache.lucene</groupId>
			<artifactId>lucene-queryparser</artifactId>
			<version>4.4.0</version>
		</dependency>
                             Apache License
		<dependency>
			<groupId>edu.stanford.protege</groupId>
			<artifactId>org.semanticweb.owl.owlapi</artifactId>
			<version>3.4.4</version>
		</dependency>
                       Mozilla Public License
		<!-- ALFRED dependency -->
		<dependency>
			<groupId>it.uniroma3.dia.db</groupId>
			<artifactId>alf-core</artifactId>
			<version>0.0.17-SNAPSHOT</version>
		</dependency>
                  
		<dependency>
			<groupId>net.sf.jung</groupId>
			<artifactId>jung-graph-impl</artifactId>
			<version>2.0.1</version>
		</dependency>
                               BSD open-source license
You can’t perform that action at this time.
You signed in with another tab or window. Reload to refresh your session. You signed out in another tab or window. Reload to refresh your session.
Press h to open a hovercard with more details.